import { Base } from "../../base";
export declare class MpgsDirectIntegrationService extends Base {
    mpgsValidatePayment<T>(options: {
        headers?: any;
        data: mpgsValidatePaymentData;
    }): Promise<T>;
    mpgsAuthenticatePayment<T>(options: {
        headers?: any;
        data: mpgsAuthenticatePaymentData;
    }): Promise<T>;
    mpgsAuthorizePayment<T>(options: {
        headers?: any;
        data: mpgsAuthorizePaymentData;
    }): Promise<T>;
    mpgsQueryPayment<T>(options: {
        headers?: any;
        data: mpgsQueryPaymentData;
    }): Promise<T>;
    mpgsRefundPayment<T>(options: {
        headers?: any;
        data: mpgsRefundPaymentData;
    }): Promise<T>;
}
type mpgsValidatePaymentData = {
    transactionReference: string;
    merchantMID: string;
    responseUrl?: string;
    order: {
        reference: string;
        amount: number;
        currency: string;
    };
    customer: {
        cardFirstName: string;
        cardLastName: string;
    };
    sourceOfFunds: {
        cardNumber: string;
        cardSecurity: string;
        cardExpiryYear: string;
        cardExpiryMonth: string;
    };
};
type mpgsAuthenticatePaymentData = {
    transactionReference: string;
    sourceOfFunds: {
        cardNumber: string;
        cardSecurity: string;
        cardExpiryYear: string;
        cardExpiryMonth?: string;
    };
};
type mpgsAuthorizePaymentData = {
    transactionReference: string;
    customer: {
        email: string;
        firstName?: string;
        cardFirstName: string;
        cardLastName: string;
        lastName?: string;
        mobilePhone?: string;
    };
    order: {
        reference: string;
        amount: number;
        currency: string;
        description?: string;
        subMerchant: {
            address: {
                city?: string;
                company?: string;
                postalZip?: string;
                stateProvince?: string;
                street?: string;
            };
            email?: string;
            tradingName?: string;
            phone?: string;
            identifier?: string;
        };
    };
    sourceOfFunds: {
        cardNumber: string;
        cardSecurity: string;
        cardExpiryYear: string;
        cardExpiryMonth: string;
    };
    transaction: {
        source: string;
        sourceOwner: string;
    };
};
type mpgsQueryPaymentData = {
    transactionReference: string;
    orderReference: string;
};
type mpgsRefundPaymentData = {
    transactionReference: string;
    amount: number;
    merchantNote: string;
};
export {};
