import { Base } from "../../base";
export declare class ReceiveMoneyService extends Base {
    receivePaymentsBillPayments<T>(options: {
        headers?: any;
        data: BillPayment;
    }): Promise<T>;
    receivePaymentsBMerchantPayments<T>(options: {
        headers?: any;
        data: MerchantPayment;
    }): Promise<T>;
    billValidations<T>(options: {
        headers?: any;
        data: BillValidation;
    }): Promise<T>;
}
type BillPayment = {
    biller: {
        billerCode: string;
        countryCode: string;
    };
    bill: {
        reference: string;
        amount: string;
        currency: string;
    };
    payer: {
        name: string;
        account?: string;
        reference: string;
        mobileNumber: string;
    };
    partnerId: string;
    remarks: string;
};
type MerchantPayment = {
    merchant: {
        till: string;
    };
    payment: {
        ref: string;
        amount: string;
        currency: string;
    };
    partner: {
        id: string;
        ref: string;
    };
};
type BillValidation = {
    billerCode: string;
    customerRefNumber: string;
    amount: string;
    amountCurrency: string;
    countryCode: string;
};
export {};
