import { Base } from "../../base";
export declare class SendMoneyImtService extends Base {
    imtSendMoneyWithinEquity<T>(options: {
        headers?: any;
        data: SendMoneyWithinEquityImtData;
    }): Promise<T>;
    imtSendMoneyToMobileWallet<T>(options: {
        headers?: any;
        data: SendMoneyToMobileWalletImtData;
    }): Promise<T>;
    imtSendMoneyPesalinkToBankAccount<T>(options: {
        headers?: any;
        data: SendMoneyPesalinkToBankAccountImtData;
    }): Promise<T>;
    imtSendMoneyPesalinkToMobile<T>(options: {
        headers?: any;
        data: SendMoneyPesalinkToMobileImtData;
    }): Promise<T>;
}
type SendMoneyWithinEquityImtData = {
    source: {
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    sender: {
        name?: string;
        documentType?: string;
        documentNumber?: string;
        countryCode?: string;
        mobileNumber?: string;
        email: string;
        address: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        bankCode: string;
        accountNumber: string;
        mobileNumber: string;
        documentType: string;
        documentNumber: string;
        email?: string;
        address?: string;
    };
    transfer: {
        type: string;
        amount: string;
        currencyCode: string;
        reference: string;
        date: string;
        description: string;
    };
};
type SendMoneyToMobileWalletImtData = {
    source: {
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    sender: {
        name?: string;
        documentType?: string;
        documentNumber?: string;
        countryCode?: string;
        mobileNumber?: string;
        email: string;
        address: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        mobileNumber: string;
        walletName: string;
        documentType: string;
        documentNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        currencyCode: string;
        reference: string;
        date: string;
        description: string;
        callbackUrl?: string;
    };
};
type SendMoneyPesalinkToBankAccountImtData = {
    source: {
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    sender: {
        name: string;
        documentType: string;
        documentNumber: string;
        countryCode: string;
        mobileNumber: string;
        email?: string;
        address?: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        bankCode: string;
        accountNumber: string;
        mobileNumber: string;
        documentType: string;
        documentNumber: string;
        email?: string;
        address: string;
    };
    transfer: {
        type: string;
        amount: string;
        currencyCode: string;
        reference: string;
        date: string;
        description: string;
    };
};
type SendMoneyPesalinkToMobileImtData = {
    source: {
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    sender: {
        name: string;
        documentType: string;
        documentNumber: string;
        countryCode: string;
        mobileNumber: string;
        email?: string;
        address?: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        bankCode: string;
        email?: string;
        address: string;
        accountNumber: string;
        mobileNumber: string;
        documentType: string;
        documentNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        currencyCode: string;
        reference: string;
        date: string;
        description: string;
    };
};
export {};
