import { Base } from "../../base";
export declare class SendMoneyService extends Base {
    sendMoneyWithinEquity<T>(options: {
        headers?: any;
        data: SendMoneyWithinEquityData;
    }): Promise<T>;
    sendMoneyToMobileWallet<T>(options: {
        headers?: any;
        data: sendMoneyToMobileWalletData;
    }): Promise<T>;
    sendMoneyRtgs<T>(options: {
        headers?: any;
        data: sendMoneyToRtgsData;
    }): Promise<T>;
    sendMoneySwift<T>(options: {
        headers?: any;
        data: sendMoneyToSwiftData;
    }): Promise<T>;
    sendMoneyPesaLinkToBank<T>(options: {
        headers?: any;
        data: sendMoneyPesaLinkToBankData;
    }): Promise<T>;
    sendMoneyPesaLinkToMobileNumber<T>(options: {
        headers?: any;
        data: sendMoneyPesaLinkToMobileData;
    }): Promise<T>;
}
type SendMoneyWithinEquityData = {
    source: {
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        accountNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        currencyCode: string;
        reference: string;
        date: string;
        description: string;
    };
};
type sendMoneyToMobileWalletData = {
    source: {
        name: string;
        accountNumber: string;
        countryCode: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        mobileNumber: string;
        walletName: string;
    };
    transfer: {
        type: string;
        amount: string;
        reference: string;
        currencyCode: string;
        date: string;
        description: string;
    };
};
type sendMoneyToRtgsData = {
    source: {
        name: string;
        accountNumber: string;
        countryCode: string;
        sourceCurrency: string;
    };
    destination: {
        type: string;
        countryCode: string;
        currency: string;
        name: string;
        bankCode: string;
        bankBic: string;
        accountNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        reference: string;
        currencyCode: string;
        date: string;
        description: string;
    };
};
type sendMoneyToSwiftData = {
    source: {
        name: string;
        accountNumber: string;
        countryCode: string;
        sourceCurrency: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        currency: string;
        bankBic: string;
        accountNumber: string;
        addressline1: string;
    };
    transfer: {
        type: string;
        amount: string;
        reference: string;
        currencyCode: string;
        date: string;
        description: string;
        chargeOption: string;
    };
};
type sendMoneyPesaLinkToBankData = {
    source: {
        name: string;
        accountNumber: string;
        countryCode: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        bankCode: string;
        accountNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        reference: string;
        currencyCode: string;
        date: string;
        description: string;
    };
};
type sendMoneyPesaLinkToMobileData = {
    source: {
        name: string;
        accountNumber: string;
        countryCode: string;
    };
    destination: {
        type: string;
        countryCode: string;
        name: string;
        bankCode: string;
        accountNumber: string;
    };
    transfer: {
        type: string;
        amount: string;
        reference: string;
        currencyCode: string;
        date: string;
        description: string;
    };
};
export {};
